%define upstream_name    Dist-Zilla-Plugin-BuildFile
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Build files by running an external command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Text::Template)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
During the 'BeforeBuild' phase of execution, this plugin creates or updates
one or more files and tests that they now exist. Later, during the
'AfterBuild' phase of execution the created or updated files are deleted,
unless the 'precious' configuration option was used.

Note that this plugin only generates the files on demand. In order to put
them into the distribution, a FileGatherer such as GatherDir must also be
run.

The file(s) are built by running an external command specified with the
'command =' configuration parameter. By default that command runs 'make'
with the list of targets specified with the 'target = ' configuration
parameter. If not specified, the list of targets contains a single item
which is the name of the plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-9.mga9
+ Revision: 1803100
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-8.mga8
+ Revision: 1494116
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-7.mga7
+ Revision: 1267296
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-6.mga6
+ Revision: 1025831
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.40.0-5.mga6
+ Revision: 933362
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 739548
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 537086
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 486244
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 366048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 71047
- imported package perl-Dist-Zilla-Plugin-BuildFile


* Mon Mar 14 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
